vSAN: Unable to extract requested data. Check vSphere Client logs for details.

Hola Amigos del Blog, en esta oportunidad les quiero comentar sobre un error que me arrojó posterior a labores de actualización (update) de parches sobre los Host vSphere ESXi 6.7 que forman un Cluster vSAN.

Realicé un upgrade de parches a los Host vSPhere ESXi 6.7 través de VUM según lo recomendado, el upgrade se llevó con normalidad, pero posterior apareció un error, el cual, me impedía administrar correctamente el Cluster vSAN.

Error que apareció fue el siguiente:

Unable to extract requested data. Check vSphere Client logs for details.

Dentro de los síntomas se encuentran los siguientes:
En Cluster -> Monitor -> Virtual Objects: Failed to extract requested data. Check vSphere Client logs for details.
En Cluster -> Monitor -> Performance: Unable to query data. Try again later.
En Cluster -> Monitor -> Capacity: Failed to extract requested data. Check vSphere Client logs for details.

Pensé que pudo ser tema de tiempo, pero la verdad no fue así.
Busqué el error y me apareció un kb de vmware, el cual me ayudó a entender la causa y la solución a este error.

En resumen las labores que realicé basado en la recomendación del kb de VMware, fue actualizar el vCenter Server Appliance 6.7 (build 14070654) al ultimo parche disponible para vCenter Server 6.7 (build 15976728).

Posterior a la actualización de vCenter Server Appliance 6.7, todo volvió a la normalidad con respecto a la administración del Cluster vSAN, los errores han desparecido y todo volvió a la normalidad.

Dentro de las recomendaciones que nos indica del KB VMware están las siguientes:

Impacto / Riesgos
No se puede administrar vSAN usando el cliente HTML5

Resolución
Este problema se resuelve en vCenter 6.7 Update 3a

Solución alterna (Workaround)
Utilice el cliente Flex para administrar vSAN hasta que haya un parche disponible para corregir este comportamiento.

Información relacionada
Nota: Al parchear cualquier clúster de vSAN, es fundamental parchear vCenter y ESXi. Si los hosts ESXi han sido parcheados hasta 6.7 Update 3, pero vCenter todavía está en una compilación anterior, el siguiente paso es parchear vCenter hasta 6.7 Update 3 también para garantizar la compatibilidad.

De esta forma hemos llegado al final de este post, te agradezco que te hayas dado el tiempo de leerlo en su totalidad, espero que te sea de mucha utilidad.

No olvides, de recomendar, compartir el Blog y suscribirte a nuestras redes sociales,
Un gran abrazo.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google photo

Estás comentando usando tu cuenta de Google. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

Conectando a %s